import React, { useEffect } from 'react'
import $ from 'jquery'
import { Row, Col } from 'react-bootstrap'

import RemoveRedEyeIcon from '@mui/icons-material/RemoveRedEye';
import EditIcon from '@mui/icons-material/Edit';

import { useNavigate } from 'react-router-dom'

function Pagination () {
    return(
        <div class="pagination_pruebas">
            <div class="botones_pagination">
                <span class="disabled">Ant.</span>
                <span href="#" class="active">1</span>
                <span href="#">2</span>
                <span href="#">3</span>
                <span href="#">4</span>
                <span href="#">5</span>
                <span href="#">Sig.</span>
            </div>
        </div>
    )
}
    
function ListTests(pruebas){
    return pruebas.map( ( prueba, index ) => {
        return(
            <>
                <Col key={index} md="3">
                    <div className="body_prueba_list">
                        <div className="botones_edicion">
                            <div className="contenedor_botones">
                                <Row>
                                    <Col md="6">
                                        {/*<a href="index" title="Editar"><i className="far fa-edit"></i></a> */}
                                        <EditIcon className="grid_btn"/>
                                    </Col>
                                    <Col md="6">
                                        <RemoveRedEyeIcon className="grid_btn"/>
                                        {/*  <a href="index" title="Eliminar"><i className="fas fa-times"></i></a> */}
                                    </Col>
                                </Row>
                            </div>
                        </div>
                        <div className="modern-Checkbox">
                            <label htmlFor="box-21">{prueba}</label>
                        </div>
                    </div>
                </Col>
            </>
        )
    })
}

export function Pruebas() {
    
    let navigate = useNavigate()

    var inteligencia = [
        'TERMAN',
        'BETAIIR',
        'BETAIII',
        'IE',
        'RAVEN',
        'DOMINOS',
        'WONDERLIC',
        'COIR',
    ]

    var comportamiento = [
        'CLEAVER',
        'ESTILO',
        'VALORES',
        'VALORES COMP',
        'MOSS',
        'KOSTICK',
        'ZAVIC',
        'VALPER',
        'LIFO',
    ]

    var personalidad = [
        'LUSCHER',
        'CPI',
        'PGV',
        'BFQ',
        '16FP',
        'PIP',
        'IMP',
        'PVC',
        'NIC',
    ]

    useEffect(() => todaspruebas_list() ,[])
    
    function todaspruebas_list() {
        $("#todas_las_pruebas_body").css('display', 'block');
        $("#comportamiento_body").css('display', 'none');
        $("#personalidad_body").css('display', 'none');
        $("#inteligencia_body").css('display', 'none');
        $("#todaspruebas").addClass("active");
        $("#comportamiento").removeClass("active");
        $("#personalidad").removeClass("active");
        $("#inteligencia").removeClass("active");
    };

    function comportamiento_list() {
        $("#comportamiento_body").css('display', 'block');
        $("#personalidad_body").css('display', 'none');
        $("#inteligencia_body").css('display', 'none');
        $("#todas_las_pruebas_body").css('display', 'none');
        $("#personalidad").removeClass("active");
        $("#inteligencia").removeClass("active");
        $("#comportamiento").addClass("active");
        $("#todaspruebas").removeClass("active");
    };

    function personalidad_list() {
        $("#comportamiento_body").css('display', 'none');
        $("#personalidad_body").css('display', 'block');
        $("#inteligencia_body").css('display', 'none');
        $("#todas_las_pruebas_body").css('display', 'none');
        $("#comportamiento").removeClass("active");
        $("#inteligencia").removeClass("active");
        $("#personalidad").addClass("active");
        $("#todaspruebas").removeClass("active");
    };

    function inteligencia_list() {
        $("#comportamiento_body").css('display', 'none');
        $("#personalidad_body").css('display', 'none');
        $("#inteligencia_body").css('display', 'block');
        $("#todas_las_pruebas_body").css('display', 'none');
        $("#comportamiento").removeClass("active");
        $("#personalidad").removeClass("active");
        $("#inteligencia").addClass("active");
        $("#todaspruebas").removeClass("active");
    };

 
    return (
        <section>
            <div className="content-section">
                <div className="main main_pruebas_list">
                    <h1>Listado de pruebas psicométricas</h1>

                    <div className="row">
                        <Col md='6' className="busqueda_prueba">
                            <Row>
                                <Col md="6">
                                    <input type="text" name="nombreprueba" placeholder="Escribe el nombre de la prueba que deseas consultar"/>
                                </Col>
                                <Col md="6">
                                    <div className="buscar_prueba">
                                        <button className="btn_buscar_prueba">BUSCAR</button>
                                    </div>
                                </Col>
                            </Row>
                        </Col>
                        <Col md="6">
                            <div className="crear_nueva_prueba">
                                <span onClick={ () =>  navigate('/dashboard/pruebas/crear') } className="btn_crear_prueba">CREAR PRUEBA</span>
                            </div>
                        </Col>
                    </div>

                    <div className="tabs_pruebas">
                        <Row >
                            <Col md="3">
                                <div className="test_tab active" id="todaspruebas" onClick={todaspruebas_list}>
                                    <p>TODAS LAS PRUEBAS</p>
                                </div>
                            </Col>
                            <Col md="3">
                                <div className="test_tab" id="comportamiento" onClick={comportamiento_list}>
                                    <p>COMPORTAMIENTO</p>
                                </div>
                            </Col>
                            <Col md="3">
                                <div className="test_tab" id="personalidad" onClick={personalidad_list}>
                                    <p>PERSONALIDAD</p>
                                </div>
                            </Col>
                            <Col md="3">
                                <div className="test_tab" id="inteligencia" onClick={inteligencia_list}>
                                    <p>INTELIGENCIA</p>
                                </div>
                            </Col>
                        </Row>
                    </div>

                    <div className="pruebas_grid">
                            <div className="todas_las_pruebas_body" id="todas_las_pruebas_body">
                                <Row>
                                    {ListTests([...inteligencia,...personalidad,...comportamiento])}
                                </Row>
                                <Pagination/>
                            </div>

                        <div className="comportamiento_body" id="comportamiento_body">
                            <Row>
                                {ListTests(comportamiento)}
                            </Row>
                            <Pagination/>
                        </div>
                            
                        <div className="inteligencia_body" id="inteligencia_body">
                            <Row>
                                { ListTests(inteligencia)  }
                            </Row>
                            <Pagination/>
                        </div>

                        <div className="personalidad_body" id="personalidad_body">
                            <Row >
                                {ListTests(personalidad)}
                            </Row>
                            <Pagination/>
                        </div>
                    </div>
                </div>
                </div>
            </section>
    )
}
